> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deployment



## OpenAPI

````yaml get /v1/agents/{assistant_id}/deployments/{deployment_id}
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{assistant_id}/deployments/{deployment_id}:
    get:
      tags:
        - V1 - Deployments
      summary: Get Deployment
      operationId: get_deployment
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
        - name: deployment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Deployment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    DeploymentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias
        assistant_id:
          type: string
          format: uuid
          title: Assistant Id
        channel_type:
          type: string
          title: Channel Type
        config:
          additionalProperties: true
          type: object
          title: Config
          default: {}
        is_active:
          type: boolean
          title: Is Active
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
        trigger_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Trigger Id
        assistant_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assistant Version Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - assistant_id
        - channel_type
        - is_active
        - published_at
        - trigger_id
        - assistant_version_id
        - created_at
        - updated_at
      title: DeploymentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````